cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Eric Evans (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-4498) Remove openjdk-6-jre Cassandra APT dependencies
Date Mon, 13 Aug 2012 22:10:38 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-4498?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13433635#comment-13433635
] 

Eric Evans commented on CASSANDRA-4498:
---------------------------------------

bq. Wouldn't that expose the project to the same legal problems?

I was referring to the packages that downloaded the JVM from Sun to the users machine, and
then built a package (basically the way flash is done now).  Probably not a huge win over
java-package though.

bq. Definitely moving toward full OpenJDK 7 support is the right thing to do, but it's probably
somewhat long-term and out of scope for this ticket

What is it that currently stops OpenJDK 7 from being a good choice.  I haven't done any thorough
testing, but it seems to work fairly well with Cassandra (but then again, so does OpenJDK
6 for the most part).

bq. Spending effort on OpenJDK 6 seems like kind of a waste.

Probably, yeah.
                
> Remove openjdk-6-jre Cassandra APT dependencies
> -----------------------------------------------
>
>                 Key: CASSANDRA-4498
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-4498
>             Project: Cassandra
>          Issue Type: Improvement
>            Reporter: Terrance Shepherd
>            Assignee: paul cannon
>            Priority: Minor
>              Labels: debian
>             Fix For: 1.1.4, 1.2
>
>         Attachments: apache_cassandra_Packages.diff
>
>
> As it is well known the recommended jre for Cassandra is sun java 1.6 but at this point
that package no longer in the debian or ubuntu apt repos. In order to run Cassandra with the
sun java 1.6 jre it must be installed manually with out the repos. Because of this when you
install cassandra via the apache or datastax apt repos it must also install openjdk-6-jre
even though sun java 1.6 jre is already installed.
> I would suggest that the java apt dependencies be removed from the Depends field in package
configuration and move to either the Recommends or Suggests field so that way openjdk is not
being downloaded when not necessary and possibly interfering with a be pre-installed jre

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message